Create manual transaction
This endpoint can only be used to create manual transactions that are under a manual account. This endpoint accepts the optional MX-Skip-Webhook header and skip_webhook parameter.
Authorizations
To authenticate with the Platform API, include your Base64-encoded client_id and api_key in the Authorization header of every request:
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'
Headers
MX Platform API version.
"v20250224"
Path Parameters
Use either the user id you defined or the MX-defined user guid. See MX-Defined GUIDs vs IDs Defined by You.
The unique id for an account.
Body
Response
OK
The unique identifier for an account. Defined by MX.
"ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1"
The unique client-defined identifier for the account.
"account123"
The monetary amount of the transaction.
61.11
The category of the transaction.
"Groceries"
The unique identifier for the category. Defined by MX.
"CAT-b6d61a19-30a7-e852-2703-bdfb4072289e"
The check number for the transaction.
null
The date and time the transaction was created, represented in ISO 8601 format with a timestamp.
"2025-02-13T18:08:00+00:00"
The three-character ISO 4217 currency code, for example, USD.
"USD"
The date of the transaction.
"2016-10-06T00:00:00.000Z"
A human-readable version of the original_description field. Provided by MX.
"Whole foods"
The transaction type assigned by the partner.
null
The unique identifier for the transaction. Defined by MX.
"TRN-265abee9-889b-af6a-c69b-25157db2bdd9"
The unique partner-defined identifier for the transaction.
null
Indicates whether the transaction is a bill payment.
false
Indicates whether the transaction is a direct deposit.
false
Indicates whether the transaction is an expense.
true
Indicates whether the transaction is a fee.
false
Indicates whether the transaction is income.
false
Indicates whether the transaction is international. If the data provider determines it isn't international then it will be false. It will be null if the data provider does not have this information.
false
Indicates whether the transaction was manually created or belongs to a manual account.
false
Indicates whether the transaction is an overdraft fee.
false
Indicates whether the transaction is a payroll advance.
false
Deprecated. If required, reach out to MX to discuss an alternative.
null
Indicates whether the transaction is a subscription payment.
false
The latitude of the location where the transaction occurred. The number is a signed decimal.
null
A human-readable description of the transaction, provided in a local language.
null
Additional descriptive information about the transaction, provided in a local language.
null
The longitude of the location where the transaction occurred. The number is a signed decimal.
null
The unique identifier for the member. Defined by MX.
"MBR-7c6f361b-e582-15b6-60c0-358f12466b4b"
This indicates whether the member is managed by the user or the MX partner. Members created with the managed member feature will have this field set to false.
true
A note about the transaction.
"This is a memo"
The category code assigned to the merchant. Defined by MX.
null
The unique identifier for the merchant. Defined by MX.
null
The unique identifier for the merchant location. Defined by MX.
null
Additional information you stored about the transaction.
"some metadata"
The original description of the transaction as provided by the MX data feed.
null
The date and time the transaction was posted to the account.
null
The status of the transaction.
All transaction data on our systems represent what we get through our data feed which depends what institutions make available for aggregation. Many institutions do not provide data for pending transactions; transactions from those accounts always have a status of POSTED.
When we do receive data for pending transactions, a single transaction may be updated from PENDING to POSTED and keep the same guid. This is done through various matching methods performed automatically by MX.
If a single transaction can't be updated, the PENDING transaction will often be deleted and replaced with a new POSTED transaction (with a new guid) when it is sent to us; this is the most common scenario when pending data is available.
In unusual circumstances, there may be separate PENDING and POSTED transactions on MX systems for up to 14 days. All PENDING transactions are deleted after 14 days as a failsafe.
POSTED, PENDING "POSTED"
The parent category assigned to this transaction's category.
"Food & Dining"
The date and time the transaction took place.
null
The type of transaction.
CREDIT, DEBIT "DEBIT"
The date and time the resource was last updated in ISO 8601 format with a timestamp.
For categories, this field will always be null when is_default is true.
"2025-02-13T18:09:00+00:00"
The unique identifier for the user. Defined by MX.
"USR-fa7537f3-48aa-a683-a02a-b18940482f54"
The unique partner-defined identifier for the user.
"u-1234"

